Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163271 - Compiler crashed with input from resiprocate sip stack
Summary: Compiler crashed with input from resiprocate sip stack
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 17:47 UTC by Jason Fischl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-3.fc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-19 17:19:55 UTC


Attachments (Terms of Use)
preprocessor output to reproduce the problem (deleted)
2005-07-14 17:49 UTC, Jason Fischl
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22204 None None None Never

Description Jason Fischl 2005-07-14 17:47:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:

g++4 -march=i686 -D_REENTRANT   -O3 -ffast-math -funroll-all-loops   -Wall  -frepo         -I../build/.. -I../build/../contrib/ares -DUSE_ARES -c -o obj.opt.Linux.i686/TuIM.o TuIM.cxx
TuIM.cxx: In member function 'void resip::TuIM::processSipFrag(resip::SipMessage*)':
TuIM.cxx:277: warning: unused variable 'sigStat'
TuIM.cxx: At global scope:
TuIM.cxx:1459: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc5c8Sq4.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):
gcc4-4.0.0-0.41.fc3

How reproducible:
Always

Steps to Reproduce:
1. compile the file


Actual Results:  compiler crashed


Additional info:

Comment 1 Jason Fischl 2005-07-14 17:49:12 UTC
Created attachment 116761 [details]
preprocessor output to reproduce the problem

Comment 2 Jakub Jelinek 2005-07-19 17:19:55 UTC
This is PR22204, will be fixed in rawhide soon, the fix is already on
gcc-4_0-branch.

Comment 3 Jakub Jelinek 2005-07-21 20:58:01 UTC
Should be fixed in gcc-4.0.1-4 (rawhide) and 4.0.1-3.fc4 (FC4 testing update).


Note You need to log in before you can comment on or make changes to this bug.